#include <stdio.h>
#include <stdlib.h>

int main()
{
    int p,q,r,L,R,N,Pk,Qk,Rk,n;
    n=0;
    scanf("%d%d%d%d%d",&p,&q,&r,&L,&R);
    for(N=L; N<=R; N++) {
        if(N%p==0)
        {
            Pk=N/p;
        }
        else
        {
            Pk=(N/p)+1;
        }
        if(N%q==0)
        {
            Qk=N/q;
        }
        else
        {
            Qk=(N/q)+1;
        }
        if(N%r==0)
        {
            Rk=N/r;
        }
        else
        {
            Rk=(N/r)+1;
        }
        if(Pk+Qk+Rk<=N)
        {
            n=n+1;
        }
    }
    printf("%d",n);
    return 0;
}